# About
Example demonstrating how one might architect a single page application
Elm app.

# Dependencies MacOS
You will need to have rust and cargo installed on MacOS.

```bash
brew install node elm
npm install -g uglify-js@2.4.11
```

# Building
`make serve` or `make serve_debug`

Now open `http://127.0.0.1:8080` in your browser.

# TODO

 - [x] Add Makefile
 - [ ] Add GPLV3 License
 - [ ] Add `make release` target that is nix ready...
 - [ ] Determine if `src/Body.elm` or pages in `src/Page` should have subscription functions
 - [ ] use actix backend that maps most root requests to serve `actix_file::Files`
 - [ ] Submit to slack for feedback...
 - [ ] Refactor into router page
 - [ ] Handle back-navigation
 - [ ] Add `default.nix`
